GZIP(1)

NIMI
gzip, gunzip, zcat - tiivistä tai laajenna tiedostoja

YLEISKATSAUS
gzip [ -acdfhklLnNrtvV19 ] [-S suffix] [ nimi ... ]
gunzip [ -acfhklLnNrtvV ] [-S suffix] [ nimi ... ]
zcat [ -fhLV ] [ nimi ... ]

KUVAUS
The gzip command reduces the size of the named files using Lempel-Ziv coding (LZ77). Whenever possible, each file is replaced by one with the extension .gz, while keeping the same ownership modes, access and modification times. (The default extension is z for MSDOS, OS/2 FAT, Windows NT FAT and Atari.) If no files are specified, or if a file name is "-", the standard input is compressed to the standard output. The gzip command will only attempt to compress regular files. In particular, it will ignore symbolic links.

Jos tiivistetyn tiedoston nimi on liian pitkä tiedostojärjestelmälle, gzip typistää sen. Gzip yrittää typistää vain ne tiedostonimen osat, joiden pituus on yli 3 merkkiä. (Osa on erotettu pisteillä.) Jos nimi koostuu vain pienistä osista, pisimmät osat typistetään. Esimerkiksi, jos tiedostonimet on rajoitettu 14 merkkiin, gzip.msdos.exe typistetään nimeksi gzi.msd.exe.gz. Nimiä ei typistetä järjestelmissä, joiden nimenpituutta ei ole rajoitettu.

Oletuksena on, että gzip säilyttää alkuperäisen tiedostonimen ja aikaleiman tiivistetyssäkin tiedostossa. Niitä käytetään, kun tiedosto laajennetaan optiolla -N Tästä on hyötyä, kun tiivistetyn tiedoston nimi typistyy tai aikaleima ei säily tiedostosiirrossa.

Tiivistetyt tiedostot voidaan palauttaa alkuperäiseen muotoonsa gzip -d tai gunzip tai zcat. Jos tiivistettyyn tiedostoon talletettu alkuperäinen nimi ei sovelly tiedostojärjestelmään, uusi kelvollinen nimi rakennetaan alkuperäisestä.

gunzip takes a list of files on its command line and replaces each file whose name ends with .gz, -gz, .z, -z, or _z (ignoring case) and which begins with the correct magic number with an uncompressed file without the original extension. gunzip also recognizes the special extensions .tgz and .taz as shorthands for .tar.gz and .tar.Z respectively. When compressing, gzip uses the .tgz extension if necessary instead of truncating a file with a .tar extension.

gunzip voi nykyisin laajentaa apuohjelmilla gzip, zip, compress, compress -H tai pack luotuja tiedostoja. Syöttömuodon tunnistus on automaattinen. Käytettäessä kahta ensimmäistä muotoa gunzip tarkistaa 32 bitin CRC:n. Apuohjelmat pack, gunzip tarkistavat tiivistämättömän pituuden. Apuohjelman compress muotoa ei ole suunniteltu oikeellisuustarkistusta silmälläpitäen. Kuitenkin gunzip pystyy toisinaan havaitsemaan virheellisen .Z-tiedoston. Jos saat virheilmoituksen laajentaessasi .Z-tiedostoa, älä oleta, että uncompress ei valita. Yleensä se tarkoittaa vain sitä, että uncompress ei tarkista syöttötietoa ja tulostaa onnellisena roskaa... SCO:n compress -H muoto (lzh tiivistysmenetelmä) ei sisällä CRC:tä, mutta sallii joitakin oikeellisuustarkistuksia.

Files created by zip can be uncompressed by gzip only if they have a single member compressed with the 'deflation' method. This feature is only intended to help conversion of tar.zip files to the tar.gz format. To extract a zip file with a single member, use a command like 'gunzip <foo.zip' or 'gunzip -S .zip foo.zip'. To extract zip files with several members, use unzip instead of gunzip.

zcat on identtinen gunzip -c kanssa. (Joissakin järjestelmissä zcat voidaan asentaa kuten gzcat alkuperäislinkin säilyttämiseksi apuohjelmaan compress.) zcat laajentaa joko komentoriville annetun tiedostoluettelon tai vakiosyötön ja kirjoittaa laajennetut tiedot vakiotulostukseen. zcat laajentaa tiedostot, joilla on oikea taikaluku riippumatta siitä, onko niillä oikea nimen loppuosa .gz vai ei.

Gzip käyttää Lempel-Ziv algoritmia, jota käytetään apuohjelmissa zip ja PKZIP. Aikaansaatu tiivistyksen määrä riippuu syötteen koosta ja yhteisten merkkijonojen jakaumasta. Tyypillisesti lähdekoodi ja selväkielinen teksti tiivistyvät 60-70%. Tiivistyssuhde on yleensä selvästi parempi kuin algoritmeilla LZW (jota käytetään ohjelmassa compress), Huffman koodaus (jota käyttää pack), tai adaptiivinen Huffman koodaus (compact).

Compression is always performed, even if the compressed file is slightly larger than the original. The worst case expansion is a few bytes for the gzip file header, plus 5 bytes per 32 KiB block, or an expansion ratio of 0.015% for large files. The actual number of used disk blocks almost never increases.

gzip normally preserves the mode and modification timestamp of a file when compressing or decompressing. If you have appropriate privileges, it also preserves the file's owner and group.

VALITSIMET

-a --ascii
    Ascii tekstimoodi: muunna rivien loput paikallisen käytännön mukaisesti. Tämä optio on käytössä vain eräissä ei-Unix järjestelmissä. convert end-of-lines using local conventions. This option is supported only on some non-Unix systems MSDOS:lla CRLF muunnetaan LF:ksi tiivistettäessä ja LF CRLF:ksi laajennettaessa.

-c --stdout --to-stdout
    Kirjoita tulos vakiotulostimelle; älä muuta alkuperäistiedostoja. Jos syöttötiedostoja on useita, tulos koostuu erillisistä tiivistetyistä jäsenistä. Paremman tiivistyksen saamiseksi liitä kaikki syöttötiedostot yhteen ennen tiivistämistä.

-d --decompress --uncompress
    Pura tiivistys.

-f --force
    Pakota tiivistys tai laajennus silloinkin, kun tiedostolla on useita linkkejä, tai kun samanniminen tiedosto on jo olemassa, tai kun tiivistetty tieto luetaan päätteeltä tai kirjoitetaan päätteelle. Jos syöttötieto on muodossa, jonka gzip tunnistaa ja jos optio --stdout on myös käytössä, kopioi syöttötieto muuttumattomana vakiotulostimeen: tällöin zcat käyttäytyy kuten cat. Jos optio -f ei ole käytössä, eikä gzip ole taustatyönä, se pyytää varmistamaan olemassa olevan tiedoston päällekirjoituksen.

-h --help
    Näytä neuvonäyttö ja poistu ohjelmasta.

-k --keep
    Keep (don't delete) input files during compression or decompression.

-l --list
    Jokaisesta tiivistetystä tiedostosta näytetään seuraavat kentät:
        compressed size: tiivistetyn tiedoston koko
        uncompressed size: tiivistämättömän tiedoston koko
        ratio: tiivistyssuhde (0.0% jos ei tiedossa)
        uncompressed_name: tiivistämättömän tiedoston nimi Tiivistämätön koko on -1 jos tiedosto ei ole gzip muotoa (esim. tiivistetyt .Z-tiedostot). Tällaisen tiedoston tiivistämättömän koon saat komennolla:
        zcat tiedosto.Z | wc -c Kun käytetään lisäksi --verbose optiota, saadaan näytölle lisäksi seuraavat kentät:
        method: tiivistysmenetelmä
        crc: tiivistämättömän tiedon 32-bittinen CRC
        date & time: tiivistämättömän tiedoston aikaleima Nykyisin tuetut tiivistysmenetelmät ovat deflate, compress, lzh (SCO compress -H) ja pack. Muussa kuin gzip-muodossa olevien tiedostojen crc on ffffffff. Käytettäessä optiota --name, tiivistämätön nimi, päiväys ja aika ovat tiivistystiedostoon talletettuja, jos ne ovat olemassa. Käytettäessä optiota --verbose, kokosummat ja tiivistyssuhteet tulevat näytölle, elleivät jotkut koot ole tuntemattomia. Käytettäessä optiota --quiet, otsikko- ja summarivejä ei näytetä.

-L --license
    Näytä gzip lisenssi ja poistu ohjelmasta.

-n --no-name
    Tiivistettäessä ei talleteta alkuperäistä tiedostonimeä ja aikaleimaa oletusarvona. (Alkuperäinen nimi talletetaan aina, jos nimi oli pakko typistää.) Laajennettaessa ei palauteta alkuperäistä nimeä (poistetaan vain gzip pääte tiivistetyn tiedoston nimestä) eikä alkuperäistä aikaleimaa (se kopioidaan tiivistetystä tiedostosta). Tämä optio on oletuksena laajennettaessa.

-N --name
    When compressing, always save the original file name, and save the seconds part of the original modification timestamp if the original is a regular file and its timestamp is at least 1 (1970-01-01 00:00:01 UTC) and is less than 2**32 (2106-02-07 06:28:16 UTC, assuming leap seconds are not counted); this is the default. When decompressing, restore from the saved file name and timestamp if present. This option is useful on systems which have a limit on file name length or when the timestamp has been lost after a file transfer.

-q --quiet
    Estetään kaikki varoitukset.

-r --recursive
    Kuljetaan rekursiivisesti läpi tiedostorakenteen. Jos jokin komentorivillä mainittu tiedostonimi on hakemisto, gzip menee hakemistoon ja tiivistää kaikki löytämänsä tiedostot (tai laajentaa ne, jos käytössä on gunzip ).

-S .suf --suffix .suf
    When compressing, use suffix .suf instead of .gz. Any non-empty suffix can be given, but suffixes other than .z and .gz should be avoided to avoid confusion when files are transferred to other systems. When decompressing, add .suf to the beginning of the list of suffixes to try, when deriving an output file name from an input file name.

--synchronous
    Use synchronous output. With this option, gzip is less likely to lose data during a system crash, but it can be considerably slower.

-t --test
    Test. Check the compressed file integrity then quit.

-v --verbose
    Laajat tiedot. Näyttää kunkin tiivistetyn tai laajennetun tiedoston nimen ja tiivistysprosentin.

-V --version
    Versio. Näyttää version numeron and ajo-optiot sekä poistuu ohjelmasta.

-# --fast --best
    Säätelee tiivistysnopeutta käyttäen määrittelynumeroa #, jossa -1 tai --fast osoittaa nopeimman tiivistysmenetelmän (vähäisin tiivistys) ja -9 tai --best osoittaa hitaimman tiivistysmenetelmän (paras tiivistys). Oletusarvoinen tiivistystaso on -6 (siis painottuu hyvään tiivistykseen nopeuden kustannuksella).

--rsyncable
    When you synchronize a compressed file between two computers, this option allows rsync to transfer only files that were changed in the archive instead of the entire archive. Normally, after a change is made to any file in the archive, the compression algorithm can generate a new version of the archive that does not match the previous version of the archive. In this case, rsync transfers the entire new version of the archive to the remote computer. With this option, rsync can transfer only the changed files as well as a small amount of metadata that is required to update the archive structure in the area that was changed.

EDISTYNEET KÄYTTÖTAVAT
Useita tiivistettyjä tiedostoja voidaan liittää yhteen. Tässä tapauksessa gunzip laajentaa kaikki jäsenet kerralla. Esimerkiksi:
      gzip -c tiedosto1 > foo.gz
      gzip -c tiedosto2 >> foo.gz Siten
      gunzip -c foo on sama kuin
      cat tiedosto1 tiedosto2 Jos .gz tiedoston yksi jäsen on vahingoittunut, voidaan muut jäsenet vielä pelastaa (jos vahingoittunut jäsen poistetaan). Kuitenkin parempi tiivistys saadaan aikaan tiivistämällä kaikki jäsenet kerralla:
      cat tiedosto1 tiedosto2 | gzip > foo.gz tiivistää paremmin kuin
      gzip -c tiedosto1 tiedosto2 > foo.gz Jos haluat tiivistää ketjutetut tiedostot uudelleen paremman tiivistyksen aikaansaamiseksi, tee seuraavasti:
      gzip -cd old.gz | gzip > new.gz Jos tiivistetty tiedosto koostuu useasta jäsenestä, --list option ilmoittama tiivistämätön koko ja CRC koskevat vain viimeistä jäsentä. Jos tarvitset kaikkien jäsenten tiivistämättömän koon, toimi näin:
      gzip -cd tiedosto.gz | wc -c Jos haluat tehdä yhden monijäsenisen arkiston niin, että jäsenet voidaan ottaa esiin toisistaan riippumatta, käytä arkisto-ohjelmia kuten tar tai zip. GNU tar tukee -z optiota, joka kutsuu gzip:n läpinäkyvästi. gzip on suunniteltu tar:n täydennykseksi eikä korvaajaksi.

YMPÄRISTÖ
The obsolescent environment variable GZIP can hold a set of default options for gzip. These options are interpreted first and can be overwritten by explicit command line parameters. As this can cause problems when using scripts, this feature is supported only for options that are reasonably likely to not cause too much harm, and gzip warns if it is used. This feature will be removed in a future release of gzip.

You can use an alias or script instead. For example, if gzip is in the directory /usr/bin you can prepend $HOME/bin to your PATH and create an executable script $HOME/bin/gzip containing the following:
      #! /bin/sh
      export PATH=/usr/bin
      exec gzip -9 "$@"

KATSO MYÖS
znew(1), zcmp(1), zmore(1), zforce(1), gzexe(1), zip(1), unzip(1), compress(1)

The gzip file format is specified in P. Deutsch, GZIP file format specification version 4.3, <https://www.ietf.org/rfc/rfc1952.txt>, Internet RFC 1952 (May 1996). The zip deflation format is specified in P. Deutsch, DEFLATE Compressed Data Format Specification version 1.3, <https://www.ietf.org/rfc/rfc1951.txt>, Internet RFC 1951 (May 1996).

VIRHEILMOITUSTEN TULKINTA
Normaalisuorituksen paluukoodi on 0. Virhetilan paluukoodi on 1. Varoituksen paluukoodi on 2.

Usage: gzip [-cdfhklLnNrtvV19] [-S suffix] [file ...]
    Komentorivillä on määritelty kelvottomia optioita.

file: not in gzip format
    Ohjelmalle gunzip annettu tiedosto ei ole tiivistetty.

file: Corrupt input. Use zcat to recover some data.
    Tiivistetty tiedosto on vahingoittunut. Tiedot virhekohtaan asti voidaan pelastaa komennolla
          zcat tiedosto > recover

file: compressed with xx bits, can only handle yy bits
    Tiedosto oli tiivistetty ohjelmalla (käyttäen LZW:tä) joka voi käsitellä enemmän bittejä kuin tämän koneen laajennuskoodi. Tiivistä tiedosto uudelleen gzip-ohjelmalla, joka tiivistää paremmin ja käyttää vähemmän muistia.

file: already has .gz suffix -- unchanged
    Ohjelma luulee, että tiedosto on jo tiivistetty. Anna tiedostolle uusi nimi ja yritä uudestaan.

file already exists; do you wish to overwrite (y or n)?
    Vastaa "y" jos haluat korvata tulostustiedoston; vastaa "n" jos et.

gunzip: corrupt input
    Ohjelma on havainnut SIGSEGV virheen, joka yleensä tarkoittaa syöttötiedostovirhettä.

xx.x% Tiivistyksen tilansäästöprosentti.
    (Merkitystä vain optioilla -v ja -l.)

-- not a regular file or directory: ignored
    Kun syöttötiedosto ei ole tavallinen tiedosto tai hakemisto (esim. symbolinen linkki, socket, FIFO, laitetiedosto), sitä ei muuteta.

-- has xx other links: unchanged
    Syöttötiedostoon on linkkejä eikä sitä muuteta. Katso lisätietoja ln(1) Käytä optiota -f pakottaaksesi monilinkkisen tiedoston tiivistyksen.

VAROITUKSET
Kirjoitettaessa tiivistettyä tietoa nauhalle on yleensä tarpeen täyttää tulostus nollilla lohkorajaan saakka. Kun tieto luetaan ja koko lohko siirretään ohjelmalle gunzip laajennettavaksi, gunzip havaitsee, että tiivistetyn tiedon jälkeen on ylimääräistä roskaa ja antaa varoituksen. Käytä optiota --quiet varoituksen estämiseen.

BUGIT
Eräissä harvinaisissa tapauksissa optio --best antaa huonomman tiivistyksen kuin oletustiivistystaso (-6). Joissakin merkityksettömissä tapauksissa compress tiivistää paremmin kuin gzip.

VIRHEISTÄ ILMOITTAMINEN
Ilmoita ohjelmistovioista (englanniksi) osoitteeseen <bug-gzip@gnu.org>
GNU gzip-kotisivu: <https://www.gnu.org/software/gzip/>
Yleisohjeita GNU-ohjelmistojen käyttöön: <https://www.gnu.org/gethelp/>

COPYRIGHT NOTICE
Copyright © 1998-1999, 2001-2002, 2012, 2015-2022 Free Software Foundation, Inc.
Copyright © 1992, 1993 Jean-loup Gailly

Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

Permission is granted to copy and distribute modified versions of this manual under the conditions for verbatim copying, provided that the entire resulting derived work is distributed under the terms of a permission notice identical to this one.

Permission is granted to copy and distribute translations of this manual into another language, under the above conditions for modified versions, except that this permission notice may be stated in a translation approved by the Foundation.

KÄÄNNÖS
Tämän käsikirjan suomenkielisen käännöksen tekivät Tuukka Forssell <taf@jytol.fi>

Tämä käännös on ilmainen dokumentaatio; katso tekijänoikeusehdot GNU General Public License -versiosta 3 (https://www.gnu.org/licenses/gpl-3.0.html) tai uudemmasta. Emme ota vastuuta.